{if $service->user['status'] ne 'enabled'}
    <div class="alert alert-danger text-center">
        {$service->lang['The user is disabled, the service is limited.']}
        <br>
        {$service->lang['Contact technical support.']}
    </div>
{/if}

<table style="width:100%" class="table">
    {if $service->package_option_link_to_instruction ne ''}
        <tr>
            <td colspan="2" style="text-align: center;">
                <h3><i class="fa fa-book"></i>&nbsp;&nbsp;<a href="{$service->package_option_link_to_instruction}"
                                                             target="_blank"> {$service->lang['User manual']}</a></h3>
            </td>
        </tr>
    {/if}

    <tr>
        <td colspan="2" style="text-align: center;">
            <h3><i class="fa fa-server"></i>&nbsp;&nbsp;{$service->lang['Web interface address']}</h3>
            {if $service->server_httpprefix == 'https'}
                {if $service->server_port == '443'}
                    <h3><a href="{$service->server_httpprefix}://{$service->server_hostname}/"
                           target="_blank">{$service->server_httpprefix}://{$service->server_hostname}/</a></h3>
                {else}
                    <h3><a href="{$service->server_httpprefix}://{$service->server_hostname}:{$service->server_port}/"
                           target="_blank">{$service->server_httpprefix}://{$service->server_hostname}:{$service->server_port}/</a></h3>
                {/if}
            {else}
                {if $service->server_port == '80'}
                    <h3><a href="{$service->server_httpprefix}://{$service->server_hostname}/"
                           target="_blank">{$service->server_httpprefix}://{$service->server_hostname}/</a></h3>
                {else}
                    <h3><a href="{$service->server_httpprefix}://{$service->server_hostname}:{$service->server_port}/"
                           target="_blank">{$service->server_httpprefix}://{$service->server_hostname}:{$service->server_port}/</a></h3>
                {/if}
            {/if}
        </td>
    </tr>
    <tr>
    <tr style="text-align: left;">
        <td><b><i class="fa fa-user"></i>&nbsp;&nbsp;{$service->lang['Username']}:</b></td>
        <td><strong>{$service->service_username}</strong></td>
    </tr>
    <tr style="text-align: left;">
        <td><b><i class="fa fa-lock"></i>&nbsp;&nbsp;{$service->lang['Password']}:</b></td>
        <td><strong>{$service->service_password}</strong></td>
    </tr>
</table>

<div class="row">
    <div class="col-md-6">
        <div id="used_space" style="width: 300px; height: 300px;"></div>
    </div>
    <div class="col-md-6">
        <table class="table table-list">
            <tr style="text-align: left;">
                <td><b><i class="fa fa-battery-full"></i>&nbsp;&nbsp;{$service->lang['Disk limit']}:</b></td>
                <td>{$service->package_option_disk_limit} {$service->package_option_unit}</td>
            </tr>
            <tr style="text-align: left;">
                <td><b><i class="fa fa-database"></i>&nbsp;&nbsp;&nbsp;{$service->lang['Disk used']}:</b></td>
                <td>{$service->disk_used_unit} {$service->package_option_unit}</td>
            </tr>

            <tr style="text-align: left;">
                <td><b><i class="fa fa-recycle"></i>&nbsp;&nbsp;&nbsp;{$service->lang['Disk free']}:</b></td>
                <td>{$service->disk_free_unit} {$service->package_option_unit}</td>
            </tr>
            <tr style="text-align: left;">
                <td><b><i class="fa fa-database"></i>&nbsp;&nbsp;&nbsp;{$service->lang['Disk used percentage']}:</b>
                </td>
                <td>{$service->disk_used_percentage} %</td>
            </tr>
            <tr style="text-align: left;">
                <td><b><i class="fa fa-recycle"></i>&nbsp;&nbsp;&nbsp;{$service->lang['Disk free percentage']}:</b></td>
                <td>{$service->disk_free_percentage} %</td>
            </tr>
        </table>
    </div>
</div>
<table class="table table-list">
    <tr>
        <td><b>{$service->lang['Buckets name']}</b></td>
        <td><b>{$service->lang['Objects']}</b></td>
        <td><b>{$service->lang['Size']}</b></td>
    </tr>
    {foreach from=$service->disk_service_buckets key=key item=bucket}
        <tr>
            <td><i class="fa fa-archive"></i>&nbsp;&nbsp;&nbsp;{$bucket['name']}</td>
            <td><i class="fa fa-object-ungroup"></i>&nbsp;&nbsp;&nbsp;{$bucket['objects']}</td>
            <td>
                <i class="fa fa-file"></i>&nbsp;&nbsp;&nbsp;{round($bucket['size']*$service->unit_coefficient, 4)} {$service->package_option_unit}
            </td>
        </tr>
    {/foreach}
</table>

{literal}
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<script type="text/javascript">
    google.charts.load("current", {packages: ["corechart"]});
    google.charts.setOnLoadCallback(used_space);

    function used_space() {
        var data = google.visualization.arrayToDataTable([
            ['', ''],
            {/literal}
            ['{$service->lang['Used']}', {$service->disk_used_bytes*$service->unit_coefficient}],
            ['{$service->lang['Free']}', {$service->disk_free_bytes*$service->unit_coefficient}],
            {literal}
        ]);

        var options = {
            title: '{/literal}{$service->lang['Used space']} ({$service->package_option_unit}){literal}',
            legend: 'none',
            pieSliceText: 'label',
            chartArea: {
                height: '80%',
                width: '80%',
            },
            height: '80%',
            width: '80%',
            'backgroundColor': 'transparent',
            slices: {
                0: {color: 'red'},
                1: {color: 'green'}
            }
        };

        var chart = new google.visualization.PieChart(document.getElementById('used_space'));
        chart.draw(data, options);
    }
</script>
{/literal}